Index: fedd/abac-src/ttg/test/USSH.prop
===================================================================
--- fedd/abac-src/ttg/test/USSH.prop	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
+++ fedd/abac-src/ttg/test/USSH.prop	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
@@ -0,0 +1,189 @@
+subject = USSH
+policy.1 = Ack[USN.assignedNRet] = US.friendlyUsr
+
+update.1.location = remote
+
+update.1.1.type = node
+update.1.1.name = SAdmir: SAdmir.getsSLocs <<-?- USSH
+update.1.1.nodeType = RoleTarget
+update.1.1.isRoot = True
+
+update.1.2.type = node
+update.1.2.nodeType = RoleTarget
+update.1.2.name = SAdmir: SAdmir.getsSLocs <<-?- USSH
+update.1.2.processing = unprocessed
+update.1.2.satisfied = Unknown
+
+update.1.3.type = node
+update.1.3.nodeType = RoleTarget
+update.1.3.name = SAdmir: SAdmir.getsSLocs <<-?- USSH
+update.1.3.processing = unprocessed
+update.1.3.satisfied = Unknown
+
+update.1.4.type = edge
+update.1.4.edgeType = Implication
+update.1.4.parentName = SAdmir: SAdmir.getsSLocs <<-?- USSH
+update.1.4.childName = SAdmir: SAdmir.friendlyUsr ^ SAdmir.needsSLocs <<-?- USSH
+update.1.4.childType = IntersectionTarget
+update.1.4.childProcessing = opponent
+
+update.1.5.type = node
+update.1.5.nodeType = IntersectionTarget
+update.1.5.name = SAdmir: SAdmir.friendlyUsr ^ SAdmir.needsSLocs <<-?- USSH
+update.1.5.processing = opponent
+update.1.5.satisfied = Unknown
+
+update.1.6.type = node
+update.1.6.nodeType = RoleTarget
+update.1.6.name = SAdmir: SAdmir.getsSLocs <<-?- USSH
+update.1.6.processing = opponent
+update.1.6.satisfied = Unknown
+
+update.1.7.type = node
+update.1.7.name = SAdmir: SAdmir.getsSLocs <<-?- USSH
+update.1.7.processing = verifier
+
+update.1.8.type = edge
+update.1.8.edgeType = Intersection
+update.1.8.parentName = SAdmir: SAdmir.friendlyUsr ^ SAdmir.needsSLocs <<-?- USSH
+update.1.8.childName = SAdmir: SAdmir.friendlyUsr <<-?- USSH
+update.1.8.childType = RoleTarget
+update.1.8.childProcessing = opponent
+
+update.1.9.type = node
+update.1.9.nodeType = RoleTarget
+update.1.9.name = SAdmir: SAdmir.friendlyUsr <<-?- USSH
+update.1.9.processing = opponent
+update.1.9.satisfied = Unknown
+
+update.1.10.type = edge
+update.1.10.edgeType = Intersection
+update.1.10.parentName = SAdmir: SAdmir.friendlyUsr ^ SAdmir.needsSLocs <<-?- USSH
+update.1.10.childName = SAdmir: SAdmir.needsSLocs <<-?- USSH
+update.1.10.childType = RoleTarget
+update.1.10.childProcessing = opponent
+
+update.1.11.type = node
+update.1.11.nodeType = RoleTarget
+update.1.11.name = SAdmir: SAdmir.needsSLocs <<-?- USSH
+update.1.11.processing = opponent
+update.1.11.satisfied = Unknown
+
+update.1.12.type = edge
+update.1.12.edgeType = Implication
+update.1.12.parentName = SAdmir: SAdmir.friendlyUsr <<-?- USSH
+update.1.12.childName = SAdmir: SAdmir.friendly.usr <<-?- USSH
+update.1.12.childType = LinkedRoleTarget
+update.1.12.childProcessing = opponent
+
+update.1.13.type = node
+update.1.13.nodeType = LinkedRoleTarget
+update.1.13.name = SAdmir: SAdmir.friendly.usr <<-?- USSH
+update.1.13.processing = opponent
+update.1.13.satisfied = Unknown
+
+update.1.14.type = node
+update.1.14.nodeType = RoleTarget
+update.1.14.name = SAdmir: SAdmir.friendlyUsr <<-?- USSH
+update.1.14.processing = opponent
+update.1.14.satisfied = Unknown
+
+update.1.15.type = node
+update.1.15.name = SAdmir: SAdmir.friendlyUsr <<-?- USSH
+update.1.15.processing = verifier
+
+update.1.16.type = edge
+update.1.16.edgeType = Implication
+update.1.16.parentName = SAdmir: SAdmir.needsSLocs <<-?- USSH
+update.1.16.childName = SAdmir: SAdmir.NRetTacCom.NRetTacUsr <<-?- USSH
+update.1.16.childType = LinkedRoleTarget
+update.1.16.childProcessing = opponent
+
+update.1.17.type = node
+update.1.17.nodeType = LinkedRoleTarget
+update.1.17.name = SAdmir: SAdmir.NRetTacCom.NRetTacUsr <<-?- USSH
+update.1.17.processing = opponent
+update.1.17.satisfied = Unknown
+
+update.1.18.type = node
+update.1.18.nodeType = RoleTarget
+update.1.18.name = SAdmir: SAdmir.needsSLocs <<-?- USSH
+update.1.18.processing = opponent
+update.1.18.satisfied = Unknown
+
+update.1.19.type = node
+update.1.19.name = SAdmir: SAdmir.needsSLocs <<-?- USSH
+update.1.19.processing = verifier
+
+update.1.20.type = edge
+update.1.20.edgeType = Implication
+update.1.20.parentName = SAdmir: SAdmir.friendly.usr <<-?- USSH
+update.1.20.childName = SAdmir: US.usr <<-?- USSH
+update.1.20.childType = RoleTarget
+update.1.20.childProcessing = verifier
+
+update.1.21.type = node
+update.1.21.nodeType = RoleTarget
+update.1.21.name = SAdmir: US.usr <<-?- USSH
+update.1.21.processing = verifier
+update.1.21.satisfied = Unknown
+
+update.1.22.type = node
+update.1.22.nodeType = LinkedRoleTarget
+update.1.22.name = SAdmir: SAdmir.friendly.usr <<-?- USSH
+update.1.22.processing = opponent
+update.1.22.satisfied = Unknown
+
+update.1.23.type = node
+update.1.23.name = SAdmir: SAdmir.friendly.usr <<-?- USSH
+update.1.23.processing = verifier
+
+update.1.24.type = edge
+update.1.24.edgeType = LinkingMonitor
+update.1.24.parentName = SAdmir: SAdmir.NRetTacCom.NRetTacUsr <<-?- USSH
+update.1.24.childName = SAdmir: ?X.NRetTacUsr <<-?- USSH
+update.1.24.childType = LinkingGoal
+update.1.24.childProcessing = verifier
+
+update.1.25.type = node
+update.1.25.nodeType = LinkingGoal
+update.1.25.name = SAdmir: ?X.NRetTacUsr <<-?- USSH
+update.1.25.processing = verifier
+update.1.25.satisfied = Incomplete
+
+update.2.location = local
+
+update.2.1.type = node
+update.2.1.nodeType = RoleTarget
+update.2.1.name = SAdmir: US.usr <<-?- USSH
+update.2.1.processing = fully
+update.2.1.satisfied = Failed
+
+update.2.2.type = node
+update.2.2.nodeType = LinkedRoleTarget
+update.2.2.name = SAdmir: SAdmir.friendly.usr <<-?- USSH
+update.2.2.processing = fully
+update.2.2.satisfied = Failed
+
+update.2.3.type = node
+update.2.3.nodeType = RoleTarget
+update.2.3.name = SAdmir: SAdmir.friendlyUsr <<-?- USSH
+update.2.3.processing = fully
+update.2.3.satisfied = Failed
+
+update.2.4.type = node
+update.2.4.nodeType = IntersectionTarget
+update.2.4.name = SAdmir: SAdmir.friendlyUsr ^ SAdmir.needsSLocs <<-?- USSH
+update.2.4.processing = opponent
+update.2.4.satisfied = Failed
+
+update.2.5.type = node
+update.2.5.nodeType = RoleTarget
+update.2.5.name = SAdmir: SAdmir.getsSLocs <<-?- USSH
+update.2.5.processing = fully
+update.2.5.satisfied = Failed
+
+update.2.6.type = node
+update.2.6.name = SAdmir: US.usr <<-?- USSH
+update.2.6.processing = opponent
+
